org.apache.lucene.queries.mlt

## Class MoreLikeThisQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.queries.mlt.MoreLikeThisQuery

    public class MoreLikeThisQuery
    extends Query

A simple wrapper for MoreLikeThis for use in scenarios where a Query object is required eg in custom QueryParser extensions. At query.rewrite() time the reader is used to construct the actual MoreLikeThis object and obtain the real Query object.

### Constructor Summary

Constructors
Constructor and Description
`MoreLikeThisQuery(String likeText, String[] moreLikeFields, Analyzer analyzer, String fieldName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object other)`
`Analyzer` `getAnalyzer()`
`String` `getLikeText()`
`int` `getMaxQueryTerms()`
`int` `getMinDocFreq()`
`int` `getMinTermFrequency()`
`String[]` `getMoreLikeFields()`
`float` `getPercentTermsToMatch()`
`Set<?>` `getStopWords()`
`int` `hashCode()`
`Query` `rewrite(IndexReader reader)`
`void` `setAnalyzer(Analyzer analyzer)`
`void` `setLikeText(String likeText)`
`void` `setMaxQueryTerms(int maxQueryTerms)`
`void` `setMinDocFreq(int minDocFreq)`
`void` `setMinTermFrequency(int minTermFrequency)`
`void` `setMoreLikeFields(String[] moreLikeFields)`
`void` `setPercentTermsToMatch(float percentTermsToMatch)`
`void` `setStopWords(Set<?> stopWords)`
`String` `toString(String field)`
`void` `visit(QueryVisitor visitor)`

### Methods inherited from class org.apache.lucene.search.Query

`classHash, createWeight, sameClassAs, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MoreLikeThisQuery

    public MoreLikeThisQuery(String likeText,
                             String[] moreLikeFields,
                             Analyzer analyzer,
                             String fieldName)

Parameters:
  `moreLikeFields` - fields used for similarity measure

### Method Detail

#### rewrite

    public Query rewrite(IndexReader reader)
                  throws IOException

Overrides:
  `rewrite` in class `Query`
Throws:
  `IOException`

#### toString

    public String toString(String field)

Specified by:
  `toString` in class `Query`

#### getPercentTermsToMatch

    public float getPercentTermsToMatch()

#### setPercentTermsToMatch

    public void setPercentTermsToMatch(float percentTermsToMatch)

#### getAnalyzer

    public Analyzer getAnalyzer()

#### setAnalyzer

    public void setAnalyzer(Analyzer analyzer)

#### getLikeText

    public String getLikeText()

#### setLikeText

    public void setLikeText(String likeText)

#### getMaxQueryTerms

    public int getMaxQueryTerms()

#### setMaxQueryTerms

    public void setMaxQueryTerms(int maxQueryTerms)

#### getMinTermFrequency

    public int getMinTermFrequency()

#### setMinTermFrequency

    public void setMinTermFrequency(int minTermFrequency)

#### getMoreLikeFields

    public String[] getMoreLikeFields()

#### setMoreLikeFields

    public void setMoreLikeFields(String[] moreLikeFields)

#### getStopWords

    public Set<?> getStopWords()

#### setStopWords

    public void setStopWords(Set<?> stopWords)

#### getMinDocFreq

    public int getMinDocFreq()

#### setMinDocFreq

    public void setMinDocFreq(int minDocFreq)

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `Query`

#### equals

    public boolean equals(Object other)

Specified by:
  `equals` in class `Query`

#### visit

    public void visit(QueryVisitor visitor)

Overrides:
  `visit` in class `Query`